Bug 911 - Missing update-grub command
: Missing update-grub command
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: 2012 Desktop Beta2
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 15:10 MSD by Aleksandr Kazantcev
Modified: 2012-10-20 00:22 MSD (History)
2 users (show)

See Also:
RPM Package: grub2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2012-10-14 15:10:08 MSD
All manuals about using Grub2 has a string like 'than use update-grub to regenerate menu'

We need add /usr/sbin/update-grub2 script like

#!/bin/sh
grub2-mkconfig -o /boot/grub2/grub.cfg


and solve this
Comment 1 Vladimir Testov 2012-10-15 14:08:35 MSD
grub2-mkconfig regenerated grub.cfg and locale of grub2 is set during this process. I will slightly modify script updated-grub2 so we can set grub2 locale separately from system locale. (otherwise to correctly set grub2 locale we will need to run "LANG=ru_RU.UTF-8 LANGUAGE=ru_RU.UTF-8 update-grub2" - for example if system locale set to "en", but we want grub2 locale be set to "ru")
Comment 2 Aleksandr Kazantcev 2012-10-15 14:11:02 MSD
For first step i'm add script in our package, than we will modify it.
Comment 3 Alexander Burmashev 2012-10-17 17:40:59 MSD
should be fixed by now
Comment 4 Aleksandr Kazantcev 2012-10-20 00:22:56 MSD
Initial update-grub2 command added to GRUB2 package.